<?php

namespace Drupal\notify_to_slack;

use Drupal\Core\Config\Entity\ConfigEntityInterface;
use Drupal\Core\Form\FormStateInterface;

/**
 * Provides an interface defining a SlackMessage entity.
 */
interface SlackMessageInterface extends ConfigEntityInterface {

  /**
   * Get the entity type for which SlackMessage is created.
   */
  public function getAttachedEntityType();

  /**
   * Set Slack Messages Set.
   */
  public function setSlackMessageSet(FormStateInterface $form_state);

}
